﻿body {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline
}

body {
    line-height: 1.1
}

table {
    border-collapse: collapse;
    border-spacing: 0
}

iframe {
    max-width: 100%
}

body {
    font-family: Verdana,Sans-Serif;
    font-size: 13px;
    line-height: 1.7
}

a, a:active, a:visited {
    text-decoration: none;
    border-bottom: 1px solid #839496;
    padding: 2px 4px
}

    a:hover {
        color: #000
    }

p {
    margin-bottom: 15px;
    word-wrap: break-word
}

ul, ol {
    padding: 0 0 18px 30px
}

    ol li, ul li {
        margin-top: 10px;
        margin-bottom: 10px
    }

em, i {
    font-style: italic
}

strong, b {
    font-weight: 700
}

small {
    font-size: .85em
}

sup {
    vertical-align: super;
    font-size: .85em
}

sub {
    vertical-align: sub;
    font-size: .85em
}

code {
    font: .85em Monaco,Courier,Monospace
}

blockquote {
    margin: 22px;
    padding: 0 20px;
    border-left: 2px solid #000;
    font-size: 1.2em;
    font-style: italic;
    line-height: 1.5em
}

#page {
    width: 500px;
    margin: 0 auto;
    position: relative
}

#header {
    width: 650px;
    padding-left: 150px;
    margin: 40px auto 50px;
    background-size: auto 100%
}

    #header h1 {
        font-size: 32px;
        margin-bottom: 4px
    }

        #header h1 a {
            border: none
        }

#blog-logo img {
    max-width: 484px;
    height: auto
}

#coverimg {
    width: 100%;
    height: 200px;
    background-repeat: no-repeat;
    background-position: 50% 0;
    -moz-box-shadow: inset 0 0 10px 1px #000;
    -webkit-box-shadow: inset 0 0 10px 1px #000;
    box-shadow: inset 0 0 10px 1px #000;
    border-bottom: 4px solid #073642
}

#blog-logo, #blog-logo:hover, #blog-logo:active {
    background-color: transparent;
    border: none
}

#footer {
    width: 500px;
    margin: 20px auto;
    padding-top: 10px;
    font-size: .85em;
    border-top: 1px solid #073642
}

#content {
    width: 500px;
    margin: 0 auto
}

#sidebar {
    position: absolute;
    text-align: right;
    width: 160px;
    top: 0;
    left: -240px
}

    #sidebar li {
        list-style: none;
        margin: 2px 0
    }

    #sidebar a {
        border: none;
        display: block;
        font-size: 1.2em;
        padding: 0
    }

        #sidebar a span {
            padding: 2px 4px
        }

    #sidebar .bio {
        margin-top: 40px;
        font-size: .8em
    }

        #sidebar .bio img.avatar {
            width: 95px;
            height: 95px;
            border-radius: 95px
        }

.site-description, .title, .nav {
    font-family: Consolas,Monaco,Lucida Console,Liberation Mono,DejaVu Sans Mono,Bitstream Vera Sans Mono,Courier New,monospace
}

.site-description a {
    border: none
}

article {
    margin-bottom: 40px
}

    article h1 {
        font-size: 17px;
        margin: 0 0 10px
    }

        article h1 a {
            border: none
        }

            article h1 a.anchor {
                margin-left: 8px
            }

    article p {
        text-align: justify
    }

    article img {
        display: block;
        text-align: center;
        max-width: 100%;
        height: auto;
        margin: 0 auto 1em
    }

    article .meta {
        padding-top: 32px;
        font-size: .85em;
        font-style: italic
    }

img.left {
    float: left;
    margin: 0 1em 1em 0
}

img.right {
    float: right;
    margin: 0 0 1em 1em
}

img.center {
    display: block;
    text-align: center;
    margin: 0 auto 1em
}

pre, code {
    background-color: rgba(255,255,255,.015);
    color: #93a1a1;
    font-size: 95%
}

code {
    padding: 2px
}

pre code {
    display: block;
    overflow: auto;
    line-height: 150%;
    padding: 10px;
    margin-top: 10px;
    margin-bottom: 15px
}

code[class*=language-], pre[class*=language-] {
    -moz-tab-size: 2;
    -o-tab-size: 2;
    tab-size: 2;
    -webkit-hyphens: none;
    -moz-hyphens: none;
    -ms-hyphens: none;
    hyphens: none;
    white-space: pre;
    white-space: pre-wrap;
    word-break: break-all;
    word-wrap: break-word;
    font-family: Menlo,Monaco,courier new,monospace;
    font-size: 1em;
    line-height: 1.5;
    text-shadow: 0
}

.postnavigation {
    padding-top: 10px;
    text-align: center;
    font-size: .85em
}

    .postnavigation .left {
        float: left
    }

    .postnavigation .right {
        float: right
    }

@media all and (max-width:870px) {
    article img {
        max-width: 100%
    }

    #page, #header, #content, #footer {
        width: inherit;
        padding-left: 10px;
        padding-right: 10px
    }

    #header {
        background-position: right 20px center
    }

        #header h1, #header p {
            padding-left: 10px;
            padding-right: 10px
        }

    #sidebar {
        position: relative;
        text-align: left;
        width: 100%;
        left: 0;
        margin: 10px 10px 20px
    }

        #sidebar nav ul {
            padding-left: 0
        }

            #sidebar nav ul li {
                display: inline
            }

        #sidebar a {
            display: inline
        }

        #sidebar nav select.mnav {
            display: block;
            margin-bottom: 15px
        }

        #sidebar .bio {
            display: none
        }
}

html, body {
    background-color: #1a1a1f;
    color: #839496
}

::selection {
    background: rgba(255,255,255,5%)
}

a, a:visited, a:active, a code {
    text-decoration: none;
    color: #839496;
    border-color: #839496
}

    a:hover {
        background-color: #111;
        border-color: #fff;
        color: #fff
    }

hr {
    border-color: #2b2b2b
}

h1, h2, h3 {
    color: #fafafa
}

    h1 a, h1 a:visited, h1 a:active {
        color: #fafafa
    }

        h1 a:hover {
            background-color: #111;
            border-color: #111;
            color: #fafafa
        }

article h1 a.anchor {
    color: #2aa198
}

blockquote {
    border-color: #fafafa
}

#sidebar a:hover {
    background-color: transparent
}

    #sidebar a:hover span {
        color: #2aa198;
        background-color: #2b2b2b
    }

#footer {
    border-color: #2b2b2b
}

.hljs {
    background: 0 0
}
